\name{banana}
\alias{banana}
\title{Rosenbrock banana function}
\usage{
banana(x, theta)
}
\arguments{
  \item{x}{Vector argument (eg control variables)}

  \item{theta}{Scalar parameter}
}
\value{
A scalar output: use vector \code{\link{apply}} to get a
vector output, see Examples.
}
\description{
Rosenbrock banana function to be used as a scalar function
with a multivariate input and a single parameter.
}
\examples{
x <- rnorm(3)
banana(x, theta = 10)

## vector output for fixed control variables

Banana <- with(
  list(X = lhcube(10, 3)),
  function(theta) apply(X, 1, banana, theta = theta)
)

Banana(10)

## Here's an output matrix for a design in theta

Theta <- 10^seq(from = 1, to = 2, length = 11)
Y <- sapply(Theta, Banana)
}

